//+------------------------------------------------------------------+
//|                                                    SupportEX.mq4 |
//|                                                    .. |
//|                                              shestovav@gmail.com |
//+------------------------------------------------------------------+
#property copyright ".."
#property link      "shestovav@gmail.com"

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
extern int  = 5;
//---
extern bool  = true;
extern bool  = true;
extern bool  = true;
//---
extern bool OC = true;
extern bool HL = true;
//---

extern color cMN = Red;
extern color cW1 = Gold;
extern color cD1 = Green;

datetime TimeBegin, TimeEnd;

int d,w,mn;
int tD=0,tW=0,tMN=0;
int D=1,W=1,MN=1;


string   D0 = " DO ";
string   DC = " DC ";
string   DH = " DH ";
string   DL = " DL ";

string   W0 = " W0 ";
string   WC = " WC ";
string   WH = " WH ";
string   WL = " WL ";

string   MN0 = " MN0 ";
string   MNC = " MNC ";
string   MNH = " MNH ";
string   MNL = " MNL ";

int deinit()
  {
//----
ObjectsDeleteAll(0, OBJ_TREND);  
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{

   int limit;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars<0) return(-1);

   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   for(int i=limit; i>=0; i--)
   {
     if()
         {
               d++;
               TimeBegin = iTime(NULL,PERIOD_D1,tD);
               TimeEnd = (TimeBegin + 86400);
         
               double D1_Open  =iOpen(NULL,PERIOD_D1,D);
               double D1_Close =iClose(NULL,PERIOD_D1,D);
               double D1_High  =iHigh(NULL,PERIOD_D1,D);
               double D1_Low   =iLow(NULL,PERIOD_D1,D);

               if(OC){
               ObjectCreate (D0+d,OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (D0+d,OBJPROP_RAY,false);
               ObjectSet (D0+d,OBJPROP_TIME1, TimeBegin);
               ObjectSet (D0+d,OBJPROP_PRICE1, D1_Open);
               ObjectSet (D0+d,OBJPROP_TIME2, TimeEnd);
               ObjectSet (D0+d,OBJPROP_PRICE2, D1_Open);
               ObjectSet (D0+d,OBJPROP_COLOR,cD1); //   
               ObjectSet (D0+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (D0+d,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(D0+d,D0+DoubleToStr(D1_Open,),10);  
         
               ObjectCreate (DC+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DC+d,OBJPROP_RAY,false);
               ObjectSet (DC+d, OBJPROP_TIME1,TimeBegin);
               ObjectSet (DC+d, OBJPROP_PRICE1, D1_Close);
               ObjectSet (DC+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DC+d, OBJPROP_PRICE2, D1_Close);
               ObjectSet (DC+d,OBJPROP_COLOR,cD1); //   
               ObjectSet (DC+d,OBJPROP_WIDTH,3); //      3 
               ObjectSet (DC+d,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(DC+d,DC+DoubleToStr(D1_Close,),10);} 
               if(HL){
               ObjectCreate (DH+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DH+d,OBJPROP_RAY,false);
               ObjectSet (DH+d, OBJPROP_TIME1, TimeBegin);
               ObjectSet (DH+d, OBJPROP_PRICE1, D1_High);
               ObjectSet (DH+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DH+d, OBJPROP_PRICE2, D1_High);
               ObjectSet (DH+d,OBJPROP_COLOR,cD1); //   
               ObjectSet (DH+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (DH+d,OBJPROP_STYLE,STYLE_DOT); //       
               ObjectSetText(DH+d,DH+DoubleToStr(D1_High,),10);  
         
               ObjectCreate (DL+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DL+d,OBJPROP_RAY,false);
               ObjectSet (DL+d, OBJPROP_TIME1,TimeBegin);
               ObjectSet (DL+d, OBJPROP_PRICE1, D1_Low);
               ObjectSet (DL+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DL+d, OBJPROP_PRICE2, D1_Low);
               ObjectSet (DL+d,OBJPROP_COLOR,cD1); //   
               ObjectSet (DL+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (DL+d,OBJPROP_STYLE,STYLE_DOT); //     
               ObjectSetText(DL+d,DL+DoubleToStr(D1_Low,),10);}
         
               tD++;
               D++;
         }
     
     if()
         {
               w++;
               TimeBegin = iTime(NULL,PERIOD_W1,tW);
               TimeEnd = (TimeBegin + 518400);
         
               double W1_Open  =iOpen(NULL,PERIOD_W1,W);
               double W1_Close =iClose(NULL,PERIOD_W1,W);
               double W1_High  =iHigh(NULL,PERIOD_W1,W);
               double W1_Low   =iLow(NULL,PERIOD_W1,W);
               
               if(OC){
               ObjectCreate (W0+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (W0+w,OBJPROP_RAY,false);
               ObjectSet (W0+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (W0+w, OBJPROP_PRICE1, W1_Open);
               ObjectSet (W0+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (W0+w, OBJPROP_PRICE2, W1_Open);
               ObjectSet (W0+w,OBJPROP_COLOR,cW1); //   
               ObjectSet (W0+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (W0+w,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(W0+w,"                   "+W0+DoubleToStr(W1_Open,),10);   
         
               ObjectCreate (WC+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WC+w,OBJPROP_RAY,false);
               ObjectSet (WC+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (WC+w, OBJPROP_PRICE1, W1_Close);
               ObjectSet (WC+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WC+w, OBJPROP_PRICE2, W1_Close);
               ObjectSet (WC+w,OBJPROP_COLOR,cW1); //   
               ObjectSet (WC+w,OBJPROP_WIDTH,3); //      3 
               ObjectSet (WC+w,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(WC+w,"                   "+WC+DoubleToStr(W1_Close,),20);}  
               if(HL){
               ObjectCreate (WH+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WH+w,OBJPROP_RAY,false);
               ObjectSet (WH+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (WH+w, OBJPROP_PRICE1, W1_High);
               ObjectSet (WH+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WH+w, OBJPROP_PRICE2, W1_High);
               ObjectSet (WH+w,OBJPROP_COLOR,cW1); //   
               ObjectSet (WH+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (WH+w,OBJPROP_STYLE,STYLE_DOT); //       
               ObjectSetText(WH+w,"                   "+WH+DoubleToStr(W1_High,),10); 
         
               ObjectCreate (WL+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WL+w,OBJPROP_RAY,false);
               ObjectSet (WL+w, OBJPROP_TIME1,TimeBegin);
               ObjectSet (WL+w, OBJPROP_PRICE1, W1_Low);
               ObjectSet (WL+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WL+w, OBJPROP_PRICE2, W1_Low);
               ObjectSet (WL+w,OBJPROP_COLOR,cW1); //   
               ObjectSet (WL+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (WL+w,OBJPROP_STYLE,STYLE_DOT); //     
               ObjectSetText(WL+w,"                   "+WL+DoubleToStr(W1_Low,),10);} 
         
               tW++;
               W++; 
            }

     if()
         {
         mn++;  
         TimeBegin = iTime(NULL,PERIOD_MN1,tMN);
         TimeEnd = (TimeBegin + 86400*30);
         
         double MN_Open  =iOpen(NULL,PERIOD_MN1,MN);
         double MN_Close =iClose(NULL,PERIOD_MN1,MN);
         double MN_High  =iHigh(NULL,PERIOD_MN1,MN);
         double MN_Low   =iLow(NULL,PERIOD_MN1,MN);
         
         if(OC){
         ObjectCreate (MN0+mn, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MN0+mn,OBJPROP_RAY,false);
         ObjectSet (MN0+mn, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MN0+mn, OBJPROP_PRICE1, MN_Open);
         ObjectSet (MN0+mn, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MN0+mn, OBJPROP_PRICE2, MN_Open);
         ObjectSet (MN0+mn,OBJPROP_COLOR,cMN); //   
         ObjectSet (MN0+mn,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MN0+mn,OBJPROP_STYLE,STYLE_SOLID); //     
         ObjectSetText(MN0+mn,"                                   "+MN0+DoubleToStr(MN_Open,),10);   
         
         ObjectCreate (MNC+mn, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNC+mn,OBJPROP_RAY,false);
         ObjectSet (MNC+mn, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNC+mn, OBJPROP_PRICE1, MN_Close);
         ObjectSet (MNC+mn, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNC+mn, OBJPROP_PRICE2, MN_Close);
         ObjectSet (MNC+mn,OBJPROP_COLOR,cMN); //   
         ObjectSet (MNC+mn,OBJPROP_WIDTH,3); //      3 
         ObjectSet (MNC+mn,OBJPROP_STYLE,STYLE_SOLID); //      
         ObjectSetText(MNC+mn,"                                   "+MNC+DoubleToStr(MN_Close,),10);}
         if(HL){
         ObjectCreate (MNH+mn, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNH+mn,OBJPROP_RAY,false);
         ObjectSet (MNH+mn, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNH+mn, OBJPROP_PRICE1, MN_High);
         ObjectSet (MNH+mn, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNH+mn, OBJPROP_PRICE2, MN_High);
         ObjectSet (MNH+mn,OBJPROP_COLOR,cMN); //   
         ObjectSet (MNH+mn,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MNH+mn,OBJPROP_STYLE,STYLE_DOT); //       
         ObjectSetText(MNH+mn,"                                   "+MNH+DoubleToStr(MN_High,),10); 
         
         ObjectCreate (MNL+mn, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNL+mn,OBJPROP_RAY,false);
         ObjectSet (MNL+mn, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNL+mn, OBJPROP_PRICE1, MN_Low);
         ObjectSet (MNL+mn, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNL+mn, OBJPROP_PRICE2, MN_Low);
         ObjectSet (MNL+mn,OBJPROP_COLOR,cMN); //   
         ObjectSet (MNL+mn,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MNL+mn,OBJPROP_STYLE,STYLE_DOT); //     
         ObjectSetText(MNL+mn,"                                   "+MNL+DoubleToStr(MN_Low,),10);} 
      
         tMN++;
         MN++; 
       }
   }

   
   return;
}
//+------------------------------------------------------------------+